const ИМЯ = "ОМ | MB";
const БАЗА = "https://git.opengamestudio.org/mahjong/mahjong-modeli-models/raw/branch/master/";


// // // //


ПовернутьФишку = мир =>
{
    мир.модельФишки.rotation.x += 0.03;
    мир.модельФишки.rotation.y += 0.02;
};


// // // //


Отладка = мир =>
{
    console.debug("Отладка", Date());
};


// // // //


ЗапуститьТаймерПоворотаФишки = мир =>
{
    setInterval(
        function() {
            мир.уведомить("поворот фишки");
        },
        60
    );
    
};


// // // //


РасположитьКамеру = мир =>
{
    мир.камера.position.z = 10;
};


// // // //


СоздатьФишку = мир =>
{
    мир.сцена.add(мир.модельФишки);
    var материал = new THREE.MeshBasicMaterial({map: мир.текстураФишки});
    мир.модельФишки.traverse(function(ребёнок) {
        if (ребёнок.isMesh)
        {
            ребёнок.material = материал;
        }
    });
};


// // // //


ЗагрузитьТекстуруФишки = мир =>
{
    var текстура = "2020-08-27_1520.png";
    var адрес = БАЗА + текстура;
    мир.загрузчикТекстур.load(
        адрес,
        function(текстура) {
            мир.текстураФишки = текстура;
            мир.уведомить("загрузили текстуру фишки");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
        }
    );
};


// // // //


СоздатьЗагрузчикТекстур = мир =>
{
    мир.загрузчикТекстур = new THREE.TextureLoader();
};


// // // //


ЗагрузитьМодельФишки = мир =>
{
    var модель = "2020-08-27_1515.gltf";
    var адрес = БАЗА + модель;
    console.debug("модель", адрес);
    мир.загрузчикGLTF.load(
        адрес,
        function(gltf) {
            мир.модельФишки = gltf.scene;
            мир.уведомить("загрузили модель фишки");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
        }
    );
};


// // // //


СоздатьЗагрузчикGLTF = мир =>
{
    мир.загрузчикGLTF = new THREE.GLTFLoader();
};

